/*
 * Copyright COCKTAIL (www.cocktail.org), 1995, 2012 This software 
 * is governed by the CeCILL license under French law and abiding by the
 * rules of distribution of free software. You can use, modify and/or 
 * redistribute the software under the terms of the CeCILL license as 
 * circulated by CEA, CNRS and INRIA at the following URL 
 * "http://www.cecill.info". 
 * As a counterpart to the access to the source code and rights to copy, modify 
 * and redistribute granted by the license, users are provided only with a 
 * limited warranty and the software's author, the holder of the economic 
 * rights, and the successive licensors have only limited liability. In this 
 * respect, the user's attention is drawn to the risks associated with loading,
 * using, modifying and/or developing or reproducing the software by the user 
 * in light of its specific status of free software, that may mean that it
 * is complicated to manipulate, and that also therefore means that it is 
 * reserved for developers and experienced professionals having in-depth
 * computer knowledge. Users are therefore encouraged to load and test the 
 * software's suitability as regards their requirements in conditions enabling
 * the security of their systems and/or data to be ensured and, more generally, 
 * to use and operate it in the same conditions as regards security. The
 * fact that you are presently reading this means that you have had knowledge 
 * of the CeCILL license and that you accept its terms.
 */
package org.cocktail.carambole.server.components;

// Generated by the WOLips Templateengine Plug-in at 19 sept. 2007 06:51:31

import org.cocktail.carambole.server.MyComponent;
import org.cocktail.fwkcktldepense.server.metier.EOCommande;

import com.webobjects.appserver.WOContext;
import com.webobjects.foundation.NSArray;
import com.webobjects.foundation.NSDictionary;

public class CommandeListeResultatsApresTraitementEnMasse extends MyComponent {

	private static final long serialVersionUID = 1L;
	public NSArray<NSDictionary<String, EOCommande>> resultatsOK = null;
	public NSArray<NSDictionary<String, EOCommande>> resultatsKO = null;
	public NSDictionary<String, EOCommande> unResultat = null;

	public CommandeListeResultatsApresTraitementEnMasse(WOContext context) {
		super(context);
	}

	public NSArray<String> itemsMenu() {
		NSArray<String> items = new NSArray<String>(new String[] {
				"Accueil"
		});
		return items;
	}

	public NSArray<NSDictionary<String, EOCommande>> getResultatsOK() {
		return resultatsOK;
	}

	@SuppressWarnings("unchecked")
	public void setResultatsOK(@SuppressWarnings("rawtypes") NSArray resultats) {
		this.resultatsOK = resultats;
	}

	public NSArray<NSDictionary<String, EOCommande>> getResultatsKO() {
		return resultatsKO;
	}

	@SuppressWarnings("unchecked")
	public void setResultatsKO(@SuppressWarnings("rawtypes") NSArray resultats) {
		this.resultatsKO = resultats;
	}

	public NSDictionary<String, EOCommande> getUnResultat() {
		return unResultat;
	}

	public void setUnResultat(NSDictionary<String, EOCommande> unResultat) {
		this.unResultat = unResultat;
	}
}